<?php
/*
Plugin Name: Utupia Latest Comments
Plugin URI: http://www.utupia.com/blog/produccio-propia/utupia-latest-comments/
Description: Just another latest comments plugin, a simple and light one. It shows part of the latest comments content, and their authors linked to the original comment. Code inspired by the <a href="http://agkamai.com/">Real Fast Latest Comments</a> plugin.
Author: Utopiq (Joan Viso)
Version: 1.0
Author URI: http://www.utupia.com/
*/

function Show_Utupia_Latest_Comments($comment_limit = 5, $comment_length = 96,
                            $hide_pingstrackbacks = true, $hide_authors = true) {
	global $wpdb;
	$query = "SELECT 
    $wpdb->comments.comment_author, $wpdb->comments.comment_content, 
    $wpdb->comments.comment_post_ID, $wpdb->comments.comment_ID 
    FROM $wpdb->comments 
    WHERE $wpdb->comments.comment_approved = '1' ";

  if ($hide_pingstrackbacks)  $query .= " AND $wpdb->comments.comment_type NOT LIKE '%back%' ";
  if ($hide_authors)     $query .= " AND $wpdb->comments.user_id = 0 ";

  $query .= " ORDER BY $wpdb->comments.comment_date DESC LIMIT $comment_limit ";
  
	$results = $wpdb->get_results($query);

	if($results) {
		echo '<ul class="lastcomments">';
		foreach($results as $comment) {
		  $comment_content = strip_tags($comment->comment_content);
		  if (strlen($comment_content) > $comment_length)
		    $comment_content = substr($comment_content, 0, $comment_length);
      if (strlen($comment->comment_author) == 0)
        $comment->comment_author = "anònim";
			echo '<li><a rel="nofollow" href="'.get_permalink($comment->comment_post_ID).'#comment-'.$comment->comment_ID .'">'.$comment->comment_author.'</a>: '.$comment_content .'...</li>';
		}
		echo '</ul>';
	}
}
?>
